<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.zhongzheng.modules.course.mapper.CourseStreamingMapper">

    <resultMap type="com.zhongzheng.modules.course.domain.CourseStreaming" id="CourseStreamingResult">
        <result property="id" column="id"/>
        <result property="streamingType" column="streaming_type"/>
        <result property="streamingName" column="streaming_name"/>
        <result property="code" column="code"/>
        <result property="liveChannelNumber" column="live_channel_number"/>
        <result property="livePushUrl" column="live_push_url"/>
        <result property="livePullUrl" column="live_pull_url"/>
        <result property="liveUrl" column="live_url"/>
        <result property="streamingAddressType" column="streaming_address_type"/>
        <result property="introduce" column="introduce"/>
        <result property="recordingVideoId" column="recording_video_id"/>
        <result property="playbackUrl" column="playback_url"/>
        <result property="createTime" column="create_time"/>
        <result property="updateTime" column="update_time"/>
        <result property="status" column="status"/>
    </resultMap>


</mapper>
